hnsgen

## Class GToHNSSignSiGML

- java.lang.Object
- - hnsgen.GToHNSSignSiGML

-     public class GToHNSSignSiGML
      extends java.lang.Object

  Converts `<hamgestural_sign>` SiGML elements to the corresponding `<hns_sign>` SiGML elements.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GToHNSSignSiGML.GToHNSException` `GToHNSSignSiGML` exception class.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GToHNSSignSiGML()` Constructs a new converter, using the standard Gestural-to-HNS XSLT file.
    `GToHNSSignSiGML(java.lang.String g2huri)` Constructs a new converter, using the given Gestural-to-HNS XSLT file.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `hnsSignElementText(org.w3c.dom.Element sigmlsel)` Returns the given SiGML sign element as text.
    `org.w3c.dom.Element` | `hnsSignForGSiGML(org.w3c.dom.Element gsel)` Returns the `<hns_sign>` SiGML element corresponding to the given `<hamgestural_sign>` element.
    `java.lang.String` | `hnsSignTextForGSiGML(org.w3c.dom.Element gsel)` Returns the text of the `<hns_sign>` SiGML element corresponding to the given `<hamgestural_sign>` element.
    `java.lang.String` | `hnsSignTextForGSiGML(java.lang.String gsstr)` Returns the text of the `<hns_sign>` SiGML element corresponding to the given `<hamgestural_sign>` element text.
    `java.lang.String` | `sigmlSignAsDoc(java.lang.String sigmlsign)` Returns the text of a complete SiGML document containing the given sign element.
    `void` | `validateSiGML(java.lang.String sdoctxt)` Validates the given SiGML document text.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GToHNSSignSiGML

          public GToHNSSignSiGML()
                          throws GToHNSSignSiGML.GToHNSException

      Constructs a new converter, using the standard Gestural-to-HNS XSLT file.
      Throws:
        `GToHNSSignSiGML.GToHNSException`

    - #### GToHNSSignSiGML

          public GToHNSSignSiGML(java.lang.String g2huri)
                          throws GToHNSSignSiGML.GToHNSException

      Constructs a new converter, using the given Gestural-to-HNS XSLT file.
      Throws:
        `GToHNSSignSiGML.GToHNSException`

  - ### Method Detail

    - #### sigmlSignAsDoc

          public java.lang.String sigmlSignAsDoc(java.lang.String sigmlsign)

      Returns the text of a complete SiGML document containing the given sign element.

    - #### hnsSignElementText

          public java.lang.String hnsSignElementText(org.w3c.dom.Element sigmlsel)
                                              throws GToHNSSignSiGML.GToHNSException

      Returns the given SiGML sign element as text.
      Throws:
        `GToHNSSignSiGML.GToHNSException`

    - #### hnsSignTextForGSiGML

          public java.lang.String hnsSignTextForGSiGML(java.lang.String gsstr)
                                                throws GToHNSSignSiGML.GToHNSException

      Returns the text of the `<hns_sign>` SiGML element corresponding to the given `<hamgestural_sign>` element text.
      Throws:
        `GToHNSSignSiGML.GToHNSException`

    - #### hnsSignTextForGSiGML

          public java.lang.String hnsSignTextForGSiGML(org.w3c.dom.Element gsel)
                                                throws GToHNSSignSiGML.GToHNSException

      Returns the text of the `<hns_sign>` SiGML element corresponding to the given `<hamgestural_sign>` element.
      Throws:
        `GToHNSSignSiGML.GToHNSException`

    - #### hnsSignForGSiGML

          public org.w3c.dom.Element hnsSignForGSiGML(org.w3c.dom.Element gsel)
                                               throws GToHNSSignSiGML.GToHNSException

      Returns the `<hns_sign>` SiGML element corresponding to the given `<hamgestural_sign>` element.
      Throws:
        `GToHNSSignSiGML.GToHNSException`

    - #### validateSiGML

          public void validateSiGML(java.lang.String sdoctxt)
                             throws GToHNSSignSiGML.GToHNSException

      Validates the given SiGML document text.
      Throws:
        `GToHNSSignSiGML.GToHNSException`